Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.rawserialization
Class JavaSerializedMessage

    java.lang.Object
      rice.p2p.util.rawserialization.JavaSerializedMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class JavaSerializedMessage

extends java.lang.Object
implements RawMessage

Wrapper that converts rice.pastry.messaging.Message to rice.pastry.messageing.PRawMessage

Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`JavaSerializedMessage(Message msg)`

Method Summary
`Message` | `getMessage()`
`int` | `getPriority()` Method which should return the priority level of this message.
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaSerializedMessage

    public JavaSerializedMessage(Message msg)

Method Detail

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawMessage`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Throws:
    `java.io.IOException`

### getMessage

    public Message getMessage()

### getPriority

    public int getPriority()

  Description copied from interface: `Message`
  Method which should return the priority level of this message. The messages can range in priority from -15 (highest priority) to 15 (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    This message's priority

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.